Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::Current Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::Current:

[legend]
Collaboration diagram for RTCORBA::Current:

[legend]
List of all members.

## Public Types
typedef Current_ptr | _ptr_type
typedef Current_var | _var_type
## Public Methods
virtual RTCORBA::Priority | the_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | the_priority (RTCORBA::Priority the_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Current_ptr | _duplicate (Current_ptr obj)
Current_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Current_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| Current (void)
virtual | ~Current (void)
## Private Methods
| Current (const Current &)
void | operator= (const Current &)

## Member Typedef Documentation

typedef Current_ptr RTCORBA::Current::_ptr_type

| Reimplemented from CORBA::Current.

typedef Current_var RTCORBA::Current::_var_type

| Reimplemented from CORBA::Current.

## Constructor & Destructor Documentation

RTCORBA::Current::Current | ( | void |  | ) | `[protected]`

| Reimplemented from CORBA::Current.

RTCORBA::Current::~Current | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from CORBA::Current.

RTCORBA::Current::Current | ( | const Current & |  | ) | `[private]`

| Reimplemented from CORBA::Current.

## Member Function Documentation

RTCORBA::Current_ptr RTCORBA::Current::_duplicate | ( | Current_ptr | obj | ) | `[static]`

| Reimplemented from CORBA::Current.

const char * RTCORBA::Current::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Current.

virtual CORBA::Boolean RTCORBA::Current::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Current.

Current_ptr RTCORBA::Current::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Current.

Current_ptr RTCORBA::Current::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Current.

void RTCORBA::Current::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Current.

CORBA::Boolean RTCORBA::Current::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Current.

void RTCORBA::Current::operator= | ( | const Current & |  | ) | `[private]`

| Reimplemented from CORBA::Current.

virtual void RTCORBA::Current::the_priority | ( | RTCORBA::Priority the_priority | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_Current.

virtual RTCORBA::Priority RTCORBA::Current::the_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_Current.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp